Status-Seiten
GET https://pingthing.de/api/status-pages/
curl --request GET \
--url 'https://pingthing.de/api/status-pages/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pingthing.de/api/status-pages/' \
--header 'Authorization: Bearer {api_key}' \
| Parameter | Details | Beschreibung |
|---|---|---|
| search | Optional String | Der Suchbegriff. |
| search_by | Optional String | Nach welchem Feld suchst du? Erlaubte Werte sind: name. |
| is_enabled | Optional Boolean | |
| project_id | Optional Integer | |
| datetime_field | Optional String | Erlaubte Werte: datetime, last_datetime |
| datetime_start | Optional String | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Optional String | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Optional String | Nach welchem Feld die Ergebnisse sortiert werden sollen. Zulässige Werte sind: status_page_id, datetime, last_datetime, name, pageviews. |
| order_type | Optional String | Die Sortierung der Ergebnisse. Erlaubte Werte sind: ASC für aufsteigende Sortierung und DESC für absteigende Sortierung. |
| page | Optional Integer | Die Seitenzahl, von der du Ergebnisse wünschst. Der Standardwert ist 1. |
| results_per_page | Optional Integer | Wie viele Ergebnisse möchtest du pro Seite? Erlaubte Werte sind: 10, 25, 50, 100, 250, 500, 1000. Standardmäßig ist es auf 25 gesetzt. |
{
"data": [
{
"id": 1,
"user_id": 1,
"domain_id": 0,
"monitors_ids": [1,2,3],
"project_id": 0,
"url": "example",
"full_url": "https://pingthing.de/example/",
"name": "Example",
"description": "This is just a simple description for the example status page 👋.",
"socials": {
"facebook": "example",
"instagram": "example",
"twitter": "example",
"email": "",
"website": "https://example.com/"
},
"logo_url": "",
"favicon_url": "",
"opengraph_url": "",
"password": false,
"timezone": "UTC",
"custom_js": "",
"custom_css": "",
"pageviews": 50,
"is_se_visible": true,
"is_removed_branding": false,
"is_enabled": true,
"datetime": "2026-07-14 10:47:46",
"last_datetime": "2026-07-14 10:47:46"
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://pingthing.de/api/status-pages?page=1",
"last": "https://pingthing.de/api/status-pages?page=1",
"next": null,
"prev": null,
"self": "https://pingthing.de/api/status-pages?page=1"
}
}
GET https://pingthing.de/api/status-pages/{status_page_id}
curl --request GET \
--url 'https://pingthing.de/api/status-pages/{status_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pingthing.de/api/status-pages/{status_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"domain_id": 0,
"monitors_ids": [1,2,3],
"project_id": 0,
"url": "example",
"full_url": "https://pingthing.de/example/",
"name": "Example",
"description": "This is just a simple description for the example status page 👋.",
"socials": {
"facebook": "example",
"instagram": "example",
"twitter": "example",
"email": "",
"website": "https://example.com/"
},
"logo_url": "",
"favicon_url": "",
"opengraph_url": "",
"password": false,
"timezone": "UTC",
"custom_js": "",
"custom_css": "",
"pageviews": 50,
"is_se_visible": true,
"is_removed_branding": false,
"is_enabled": true,
"datetime": "2026-07-14 10:47:46",
"last_datetime": "2026-07-14 10:47:46"
}
}
POST https://pingthing.de/api/status-pages
| Parameter | Details | Beschreibung |
|---|---|---|
| name | Erforderlich String | - |
| description | Optional String | - |
| url | Optional String | - |
| monitors_ids | Optional Anordnung | - |
| heartbeats_ids | Optional Anordnung | - |
curl --request POST \
--url 'https://pingthing.de/api/status-pages' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'description=This is just a simple description.' \
--form 'monitors_ids[]=1' \
--form 'heartbeats_ids[]=1' \
--url 'https://pingthing.de/api/status-pages' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'description=This is just a simple description.' \
--form 'monitors_ids[]=1' \
--form 'heartbeats_ids[]=1' \
{
"data": {
"id": 1
}
}
POST https://pingthing.de/api/status-pages/{status_page_id}
| Parameter | Details | Beschreibung |
|---|---|---|
| name | Optional String | - |
| description | Optional String | - |
| url | Optional String | - |
| timezone | Optional String | - |
| password | Optional String | - |
| title | Optional String | - |
| meta_description | Optional String | - |
| meta_keywords | Optional String | - |
| language_code | Optional String | - |
| font_family | Optional String | - |
| theme | Optional String | - |
| custom_css | Optional String | - |
| custom_js | Optional String | - |
| project_id | Optional Integer | - |
| font_size | Optional Integer | - |
| auto_refresh | Optional Integer | - |
| pwa_display_install_bar_delay | Optional Integer | - |
| monitors_ids | Optional Anordnung | - |
| heartbeats_ids | Optional Anordnung | - |
| socials | Optional Anordnung | Erlaubte Werte: socials[facebook], socials[instagram], socials[x], socials[threads], socials[email], socials[website] |
| is_enabled | Optional Boolean | - |
| is_se_visible | Optional Boolean | - |
| is_removed_branding | Optional Boolean | - |
| display_share_buttons | Optional Boolean | - |
| display_header_text | Optional Boolean | - |
| pwa_is_enabled | Optional Boolean | - |
| pwa_display_install_bar | Optional Boolean | - |
| logo | Optional Datei | - |
| logo_remove | Optional Boolean | - |
| favicon | Optional Datei | - |
| favicon_remove | Optional Boolean | - |
| opengraph | Optional Datei | - |
| opengraph_remove | Optional Boolean | - |
| pwa_icon | Optional Datei | - |
| pwa_icon_remove | Optional Boolean | - |
| pwa_theme_color | Optional String | - |
curl --request POST \
--url 'https://pingthing.de/api/status-pages/{status_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=1' \
--url 'https://pingthing.de/api/status-pages/{status_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://pingthing.de/api/status-pages/{status_page_id}
curl --request DELETE \
--url 'https://pingthing.de/api/status-pages/{status_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pingthing.de/api/status-pages/{status_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"domain_id": 0,
"monitors_ids": [1,2,3],
"heartbeats_ids": [1,2,3],
"project_id": 0,
"url": "example",
"full_url": "https://pingthing.de/example/",
"name": "Example",
"description": "This is just a simple description for the example status page 👋.",
"settings": {
"title": "Example",
"meta_description": "",
"meta_keywords": "",
"language_code": "en",
"font_family": "default",
"font_size": 16,
"display_share_buttons": true,
"display_header_text": true,
"auto_refresh": 0,
"pwa_file_name": null,
"pwa_is_enabled": false,
"pwa_icon": null,
"pwa_display_install_bar": false,
"pwa_display_install_bar_delay": 3,
"pwa_theme_color": "#000000"
},
"socials": {
"facebook": "",
"instagram": "",
"x": "",
"threads": "",
"email": "",
"website": ""
},
"logo_url": null,
"favicon_url": null,
"opengraph_url": null,
"password": false,
"timezone": "UTC",
"custom_js": "",
"custom_css": "",
"pageviews": 0,
"is_se_visible": true,
"is_removed_branding": false,
"is_enabled": true,
"datetime": "2026-07-14 10:47:46",
"last_datetime": "2026-07-14 10:47:46"
}
}